function E = get_energy(Wy,lambda)
%
% Get energies at all scales
%
%

M   = lambda+1;    % Noof energies

E = zeros(M,1);

N = length(Wy);

Etot = energy(Wy);

last = N;
for j = 1:M
  first = last/2;
  
  if j < M  
    v = Wy(first+1:last);
  else
    v = Wy(1:last);  %DC term
  end;
  
  E(j) = energy(v);
  
  last = first;  
end;

E = E/Etot;
		   
